%define upstream_name    IPC-PubSub
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Interprocess Publish/Subscribe channels
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(DBM::Deep)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Time::HiRes)
BuildArch: noarch

%description
This module provides a simple API for publishing messages to _channels_ and
for subscribing to them.

When a _message_ is published on a channel, all subscribers currently in
that channel will get it on their next 'get' or 'get_all' call.

Currently, it offers four backends: 'DBM_Deep' for on-disk storage,
'Memcached' for possibly multi-host storage, 'Jifty::DBI' for
database-backed storage, and 'PlainHash' for single-process storage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.290.0-9pclos2017
- rebuild against updates

